Skip to main content
GET
/
v1
/
api
/
profile
/
positions
Get user positions
curl --request GET \
  --url https://api.dotprediction.io/v1/api/profile/positions \
  --header 'X-API-Key: <api-key>'
{
  "user": "<string>",
  "positions": [
    {
      "token_id": "<string>",
      "market_id": "<string>",
      "title": "<string>",
      "shares": 123,
      "shares_normalized": 123,
      "redeemable": true,
      "market_status": "<string>",
      "label": "<string>",
      "winning_outcome": "<string>"
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Generate one via the dashboard or the /v1/api/auth/api-keys endpoint.

Query Parameters

provider
enum<string>
required

The prediction market platform.

Available options:
kalshi,
polymarket
user
string
required

The user identifier on the platform (username or address).

limit
string

Maximum number of positions to return.

cursor
string

Pagination cursor from a previous response.

Response

A paginated list of user positions.

user
string

User identifier.

positions
object[]

List of active positions.

pagination
object